Main Page | Namespace List | Class Hierarchy | Alphabetical List | Class List | File List | Namespace Members | Class Members | File Members | Related Pages

# osg::GraphicsContext::Traits Struct Reference

GraphicsContext Traits object provides the specification of what type of graphics context is required. More...

Inheritance diagram for osg::GraphicsContext::Traits:

[legend]
List of all members.

## Public Member Functions
| Traits ()
## Public Attributes
std::string | _hostName
unsigned int | _displayNum
unsigned int | _screenNum
unsigned int | _x
unsigned int | _y
unsigned int | _width
unsigned int | _height
std::string | _windowName
bool | _windowDecoration
bool | _supportsResize
unsigned int | _red
unsigned int | _blue
unsigned int | _green
unsigned int | _alpha
unsigned int | _depth
unsigned int | _stencil
bool | _pbuffer
bool | _quadBufferStereo
bool | _doubleBuffer
GLenum | _target
unsigned int | _level
unsigned int | _face
unsigned int | _mipMapGeneration
GraphicsContext * | _sharedContext

## Detailed Description

GraphicsContext Traits object provides the specification of what type of graphics context is required.

## Constructor & Destructor Documentation

osg::GraphicsContext::Traits::Traits | ( |  | ) | `[inline]`

## Member Data Documentation

unsigned int osg::GraphicsContext::Traits::_alpha

unsigned int osg::GraphicsContext::Traits::_blue

unsigned int osg::GraphicsContext::Traits::_depth

unsigned int osg::GraphicsContext::Traits::_displayNum

bool osg::GraphicsContext::Traits::_doubleBuffer

unsigned int osg::GraphicsContext::Traits::_face

unsigned int osg::GraphicsContext::Traits::_green

unsigned int osg::GraphicsContext::Traits::_height

std::string osg::GraphicsContext::Traits::_hostName

unsigned int osg::GraphicsContext::Traits::_level

unsigned int osg::GraphicsContext::Traits::_mipMapGeneration

bool osg::GraphicsContext::Traits::_pbuffer

bool osg::GraphicsContext::Traits::_quadBufferStereo

unsigned int osg::GraphicsContext::Traits::_red

unsigned int osg::GraphicsContext::Traits::_screenNum

GraphicsContext* osg::GraphicsContext::Traits::_sharedContext

unsigned int osg::GraphicsContext::Traits::_stencil

bool osg::GraphicsContext::Traits::_supportsResize

GLenum osg::GraphicsContext::Traits::_target

unsigned int osg::GraphicsContext::Traits::_width

bool osg::GraphicsContext::Traits::_windowDecoration

std::string osg::GraphicsContext::Traits::_windowName

unsigned int osg::GraphicsContext::Traits::_x

unsigned int osg::GraphicsContext::Traits::_y

The documentation for this struct was generated from the following file:

- GraphicsContext